You are here: Home » Download

Lolce Mini for Apple iPhone and iPod Touch now launched. Click here to get it from the Apple iTunes App Store.

Locle Mini will automatically check-in your location based on the cell tower your phone is connected to.

Locle Mini is supported by about 60% of GSM phones on the market.

If your phone is not supported you can always check-in your location manually from the Locle website at m.locle.com

Important Notice:

  • Using Locle on your mobile phone uses the mobile Internet connection.
  • If you are a Top-Up or Pre-Pay mobile subscriber, please check what rates you pay for the mobile web, as pricing can be restrictive.
  • Please do not use Locle when you are roaming internationally, unless you have signed up for an international roaming data bundle with your mobile operator.

Helpful tips:

  • Make sure you use the same data connection for Locle Mini that you do for other phone applications such as the phone's web browser, email etc. If you use a different data connection, Locle Mini will be disconnected when the other applications open their preset connection.
  • Locle Mini will ask your permission to access the data connection when it first launches and when you try to "Go Locle!"
  • Using the GPS option (if available on your phone) improves the accuracy of your location check-in and helps us teach our database where the different cell masts are located. However, GPS also drains your battery faster.
  • You should configure your phone's settings to not allow data connections when roaming.

Select your mobile phone make and version

  • Apple iPhone and iPod Touch
    For all iPhone and iPod Touch version 2.0 and above.
  • Android
    Including HTC T-Mobile G1 Google Phone
  • Blackberry cod, jad or jar
    83xx "Curve" series, 88xx series, 81xx "Pearl" series, 87xx "Electron" series, 9000 series models. May work on 7100 "Charm" series. Probably works on "Storm" series etc. too.
  • Sony Ericsson jad or jar
    C903, C905, G705, K530i, K550i, K660i, K610i, K618i, K770, K790i, K800i, K810, K850i, S500i, T650i, W580i, W610i, W660i, W710i, W830i, W850i, W880i, W888i ,W890i, W910i, Z310i, Z610i, Z750. Upgrade Java Platform to version 7.3 or above with firmware R1JC002 or later.
  • Symbian S60 3rd Edition
    • Nokia S60 3rd: 3250, 5500 sport, E50, E60, E61, E62, E65, E70, N71, N73, N75, N77, N80, N91, N91 8GB, N92, N93,
    • Nokia S60 3rd Feature Pack 1: 5700 XpressMusic, 6110 Navigator, 6120 Classic, 6121 Classic, 6124 Classic, 6290, E51, E66, E71, E90 Communicator, N76, N81, N81 8GB, N82, N95, N95 8GB
    • Nokia S60 3rd Feaure Pack 2: 5320 XpressMusic, 6210 Navigator, 6220 Classic, 6650, N78, N96
    • Samsung: SGH-G810, SGH-L870, SGH-i450, INNOV8
    • LG: KT610
  • Symbian S60 1st and 2nd Editions
    • Nokia: 3600, 3620, 3650, 3660, N-Gage, 6600, N-Gage QD, N70, N72, N90, 6630, 6680, 6681, 6682, 3230, 6260, 6620, 6670, 7610
    • Sendo: X, X2
    • Siemens: SX1
    • Lenovo: P930
    • Panasonic: X700, X800
    • Samsung: SGH-D720, SGH-D730
  • Nokia S80 Symbian Series
    Nokia: 9210, 9210i, 9290, 9300, 9300i, 9500
  • UIQ 3rd Edition
    Sony Ericsson P1, M600, P990, W950, W960, G700, G900
  • Windows Mobile 6 Professional
    HTC TyTN II and other HTC Windows Mobile 6 Professional
  • Palm OS
    Palm Centro
  • Nokia S40 "feature" phones are not supported. Sorry, talk to Nokia about it!